class Api {
  constructor (apiImplementation) {
    this.apiImplementation = apiImplementation;
  }

  getCustomers() {
    return this.apiImplementation.getCustomers();
  }

  getProducts() {
    return this.apiImplementation.getProducts();
  }

  getPaymentMethods() {
    return this.apiImplementation.getPaymentMethods();
  }

  getSummaryPurchase(purchaseId) {
    return this.apiImplementation.getSummaryPurchase(purchaseId);
  }

  getPurchasesForReconciliation() {
    return this.apiImplementation.getPurchasesForReconciliation();
  }

  createPurchase(purchase) {
    return this.apiImplementation.createPurchase(purchase);
  }

  createReconciliationJar(reconciliation) {
    return this.apiImplementation.createReconciliationJar(reconciliation);
  }
}

export default Api;
